com.corticon.rulesemf.canonicalvocabularymodel.metadata.java

## Class MetadataCategory

- java.lang.Object
- - org.eclipse.emf.common.util.AbstractEnumerator
  - - com.corticon.rulesemf.canonicalvocabularymodel.metadata.java.MetadataCategory

- All Implemented Interfaces:
    java.io.Serializable, org.eclipse.emf.common.util.Enumerator

      public final class MetadataCategory
      extends org.eclipse.emf.common.util.AbstractEnumerator

  A representation of the literals of the enumeration 'Metadata Category', and utility methods for working with them.
  See Also:
    `JavaPackage.getMetadataCategory()`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `FIELD` The 'Field' literal value
    `static MetadataCategory` | `FIELD_LITERAL` The 'Field' literal object
    `static int` | `GETTER` The 'Getter' literal value
    `static MetadataCategory` | `GETTER_LITERAL` The 'Getter' literal object
    `static int` | `SETTER` The 'Setter' literal value
    `static MetadataCategory` | `SETTER_LITERAL` The 'Setter' literal object
    `static int` | `UNSPECIFIED` The 'Unspecified' literal value
    `static MetadataCategory` | `UNSPECIFIED_LITERAL` The 'Unspecified' literal object
    `static java.util.List` | `VALUES` A public read-only list of all the 'Metadata Category' enumerators

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MetadataCategory` | `get(int value)` Returns the 'Metadata Category' literal with the specified integer value
    `static MetadataCategory` | `get(java.lang.String literal)` Returns the 'Metadata Category' literal with the specified literal value
    `static MetadataCategory` | `getByName(java.lang.String name)` Returns the 'Metadata Category' literal with the specified name

    - ### Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator

      `getLiteral, getName, getValue, toString, writeReplace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### UNSPECIFIED

          public static final int UNSPECIFIED

      The 'Unspecified' literal value.

      If the meaning of 'Unspecified' literal object isn't clear, there really should be more of a description here...

      See Also:
        `UNSPECIFIED_LITERAL`, Constant Field Values

    - #### GETTER

          public static final int GETTER

      The 'Getter' literal value.

      If the meaning of 'Getter' literal object isn't clear, there really should be more of a description here...

      See Also:
        `GETTER_LITERAL`, Constant Field Values

    - #### SETTER

          public static final int SETTER

      The 'Setter' literal value.

      If the meaning of 'Setter' literal object isn't clear, there really should be more of a description here...

      See Also:
        `SETTER_LITERAL`, Constant Field Values

    - #### FIELD

          public static final int FIELD

      The 'Field' literal value.

      If the meaning of 'Field' literal object isn't clear, there really should be more of a description here...

      See Also:
        `FIELD_LITERAL`, Constant Field Values

    - #### UNSPECIFIED_LITERAL

          public static final MetadataCategory UNSPECIFIED_LITERAL

      The 'Unspecified' literal object.
      See Also:
        `UNSPECIFIED`

    - #### GETTER_LITERAL

          public static final MetadataCategory GETTER_LITERAL

      The 'Getter' literal object.
      See Also:
        `GETTER`

    - #### SETTER_LITERAL

          public static final MetadataCategory SETTER_LITERAL

      The 'Setter' literal object.
      See Also:
        `SETTER`

    - #### FIELD_LITERAL

          public static final MetadataCategory FIELD_LITERAL

      The 'Field' literal object.
      See Also:
        `FIELD`

    - #### VALUES

          public static final java.util.List VALUES

      A public read-only list of all the 'Metadata Category' enumerators.

  - ### Method Detail

    - #### get

          public static MetadataCategory get(java.lang.String literal)

      Returns the 'Metadata Category' literal with the specified literal value.

    - #### getByName

          public static MetadataCategory getByName(java.lang.String name)

      Returns the 'Metadata Category' literal with the specified name.

    - #### get

          public static MetadataCategory get(int value)

      Returns the 'Metadata Category' literal with the specified integer value.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.